package com.nova.flutter_ads;

import android.content.Context;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class VideoViewFactory  extends PlatformViewFactory {

    private final BinaryMessenger messenger;
    public VideoViewFactory(BinaryMessenger messenger ) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
    }

    @Override
    public PlatformView create(Context context, int i, Object o) {
        return new FlutterAdsNativeView(context,messenger,i);
    }
}
